1) METEO-FRANCE Emanuele (observations, da, diagnostics) EE
2) JEDI IODA (obs, da, diagnostics, filtering) GM and EE
3) PROVIDENTIA - GHOST (obs, diagnostics, statistics/filtering, subsampling) DB
4) BSC Calum Obs preproc of DA (regridding/thinning, converters) CM
5) HARP (ESA, satellite focused, filtering, regridding, statistics) AB
6) CSO (observation operator, https://ci.tno.nl/gitlab/cams/cso) RG
8) SUper obs generation (https://egusphere.copernicus.org/preprints/2024/egusphere-2024-632/egusphere-2024-632.pdf) JE
9) BSC Jeronimo (lidars, converters, filtering, oversampling) JE, CM
10) BSC Guillaume (VIIRS preprocessing) GM, CM
11) scripts used by climate people? CM https://earth.bsc.es/gitlab/ac/aerclim_evaluation


| Tool                  | Purpose                           | Observations types                                                                                                                      | Features                                                                                                                                                                             | Language | Code  modularity/HPC readiness                                                         | Number of developers / Public repo |
| --------------------- | --------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------- | -------------------------------------------------------------------------------------- | ---------------------------------- |
| MF Emanuele scripts   | Pre-postprocessor for DA          | Gas/aerosols, ground/satellite(L1/L2), total/partial columns, profiles, profiles with kernels, radiances, about 20 instruments in total | HDF/Netcdf storage, converters, averager/undersampler, plotters, can store model results at observation positions, observations algebra to compute model evaluation, basic filtering | Python   | Highly modular (one class per instrument) / Little optimized (just numpy, single proc) | < 5, private [here](https://earth.bsc.es/gitlab/eemili/da-tools)                  |
| IODA                  | Pre-postprocessor for DA          |                                                                                                                                         |                                                                                                                                                                                      |          |                                                                                        |                                    |
| PROVIDENTIA - GHOST   | Obs statistics - model evaluation |                                                                                                                                         |                                                                                                                                                                                      |          |                                                                                        |                                    |
| BSC Calum             |                                   |                                                                                                                                         |                                                                                                                                                                                      |          |                                                                                        |                                    |
| HARP                  |                                   |                                                                                                                                         |                                                                                                                                                                                      |          |                                                                                        |                                    |
| CSO                   |assimilation of satellite observations in regional air quality models |Sentinel-5p data (TROPOMI instrument) | pre-processor in Python (download, selection, inspection and conversion) + observation operator in Fortran (simulating S4/S5p (or other) retrievals from model state) | Python/Fortran   |                                                                                        | CAMS, [here](https://ci.tno.nl/gitlab/cams/cso)                              |
| BSC Jeronimo scripts  | Pre-postprocessor for MONARCH DA  | aerosol satellite (VIIRS and IASI), LIVAS (CALIOP) and earlinet extinction coefficients                                                 | Filtering from L2 flags and Dust from PuGinoux filter, horizontal averaging with weigths computed by the area/proportional area intersection between regular grids, binary DA format and netCDF writing, support monarch rotated grid, support large time windows (incremental IO) |  Python  | targeted to dust and monarch DA, quite messy code: not designed originaly to share it,  can run in WS |  1, private [ here ]( https://earth.bsc.es/gitlab/jescriba/preproc-satellitepreproc )   |                                                                                        |                                    |
| BSC Guillaume scripts |                                   |                                                                                                                                         |                                                                                                                                                                                      |          |                                                                                        |                                    |
| AC-CLIM repo          |                                   |                                                                                                                                         |                                                                                                                                                                                      |          |                                                                                        |                                    |
